**************************************************************************.
******************  Assoziationsmodelle   ****************************.
****                    Datenquelle: NEPS               ********************.
***************************************************************************.
DATA LIST/ tn_2 1-2 tn_3 4-5 hk 6-9.
BEGIN DATA
 1 1 434
 1 2 176 
 1 3  99
 1 4  19
 2 1 272
 2 2 155
 2 3 103
 2 4  28
 3 1 177
 3 2 131
 3 3 167
 3 4  54
 4 1  88
 4 2  80
 4 3  91
 4 4  67
END DATA.
weight by hk.
*** Kreuztabelle der Daten (Tab. 3).
cross tab = tn_2 by tn_3 / stat = chisq.
**** Referenzierung der Zellen. 
compute rc = tn_2*10 + tn_3.
recode rc (11 = 1)(else = 0) into D1.
recode rc (22 = 1)(else = 0) into D2.
recode rc (33 = 1)(else = 0) into D3.
recode rc (44 = 1)(else = 0) into D4.
recode rc (12,21 = 1)(else = 0) into Rc12.
recode rc (13,31 = 1)(else = 0) into Rc13.
recode rc (14,41 = 1)(else = 0) into Rc14.
recode rc (23,32 = 1)(else = 0) into Rc23.
recode rc (24,42 = 1)(else = 0) into Rc24.
recode rc (34,43 = 1)(else = 0) into Rc34.
***** Unabhngigkeitsmodell.
GENLOG tn_3 tn_2 / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = tn_3 tn_2.
*** Gleiche Abstnde ausgehend von der Diagonalen (Abb. 8).
compute Rc1 = rc12 + rc23 + rc34.
compute Rc2 = rc13 + rc24.
compute Rc3 = rc14.
GENLOG tn_3 tn_2 with Rc1, Rc2, Rc3 / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = tn_3 tn_2, Rc1, Rc2, Rc3.
******** uniform association model.
compute rc = tn_3 * tn_2.
GENLOG tn_3 tn_2 with rc / mod = multinomial / print = estim, des, freq /  plot = none
  /crit = cin(95) iterate(20) converge(.00001) delta(.0)
 / des = tn_3 tn_2, rc.